ExitableDirectoryReader.ExitableTerms (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.index, class: ExitableDirectoryReader, class: ExitableTerms

Package org.apache.lucene.index

# Class ExitableDirectoryReader.ExitableTerms

java.lang.Object
org.apache.lucene.index.Terms
org.apache.lucene.index.FilterLeafReader.FilterTerms
org.apache.lucene.index.ExitableDirectoryReader.ExitableTerms

Enclosing class:
  `ExitableDirectoryReader`

public static class ExitableDirectoryReader.ExitableTerms extends FilterLeafReader.FilterTerms
Wrapper class for another Terms implementation that is used by ExitableFields.

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.index.FilterLeafReader.FilterTerms

  `in`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExitableTerms(Terms terms, QueryTimeout queryTimeout)`
  Constructor *

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BytesRef`
  `getMax()`
  Returns the largest term (in lexicographic order) in the field.
  `BytesRef`
  `getMin()`
  Returns the smallest term (in lexicographic order) in the field.
  `TermsEnum`
  `intersect(CompiledAutomaton compiled, BytesRef startTerm)`
  Returns a TermsEnum that iterates over all terms and documents that are accepted by the provided `CompiledAutomaton`.
  `TermsEnum`
  `iterator()`
  Returns an iterator that will step through all terms.

  ### Methods inherited from class org.apache.lucene.index.FilterLeafReader.FilterTerms

  `getDocCount, getStats, getSumDocFreq, getSumTotalTermFreq, hasFreqs, hasOffsets, hasPayloads, hasPositions, size`

  ### Methods inherited from class org.apache.lucene.index.Terms

  `getTerms`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExitableTerms

    public ExitableTerms(Terms terms, QueryTimeout queryTimeout)
    Constructor *

- ## Method Details

  - ### intersect

    public TermsEnum intersect(CompiledAutomaton compiled, BytesRef startTerm) throws IOException
    Description copied from class: `Terms`
    Returns a TermsEnum that iterates over all terms and documents that are accepted by the provided `CompiledAutomaton`. If the `startTerm` is provided then the returned enum will only return terms `> startTerm`, but you still must call next() first to get to the first term. Note that the provided `startTerm` must be accepted by the automaton.

    This is an expert low-level API and will only work for `NORMAL` compiled automata. To handle any compiled automata you should instead use `CompiledAutomaton.getTermsEnum(org.apache.lucene.index.Terms)` instead.

    NOTE: the returned TermsEnum cannot seek.

    Overrides:
      `intersect` in class `Terms`
    Throws:
      `IOException`

  - ### iterator

    public TermsEnum iterator() throws IOException
    Description copied from class: `Terms`
    Returns an iterator that will step through all terms. This method will not return null.
    Overrides:
      `iterator` in class `FilterLeafReader.FilterTerms`
    Throws:
      `IOException`

  - ### getMin

    public BytesRef getMin() throws IOException
    Description copied from class: `Terms`
    Returns the smallest term (in lexicographic order) in the field. Note that, just like other term measures, this measure does not take deleted documents into account. This returns null when there are no terms.
    Overrides:
      `getMin` in class `Terms`
    Throws:
      `IOException`

  - ### getMax

    public BytesRef getMax() throws IOException
    Description copied from class: `Terms`
    Returns the largest term (in lexicographic order) in the field. Note that, just like other term measures, this measure does not take deleted documents into account. This returns null when there are no terms.
    Overrides:
      `getMax` in class `Terms`
    Throws:
      `IOException`